# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignApprovalAssignment Class Reference

`#include <StepAP214_AutoDesignApprovalAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignApprovalAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AutoDesignApprovalAssignment ()
| Returns a AutoDesignApprovalAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Approval)&aAssignedApproval)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Approval)&aAssignedApproval, const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem | Items () const
Standard_EXPORT StepAP214_AutoDesignGeneralOrgItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignApprovalAssignment::StepAP214_AutoDesignApprovalAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignApprovalAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ApprovalAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignApprovalAssignment::Init | ( | const Handle(StepBasic_Approval)& | aAssignedApproval,
|  | const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignApprovalAssignment::Init | ( | const Handle(StepBasic_Approval)& | aAssignedApproval | ) | `[virtual]`

| Reimplemented from StepBasic_ApprovalAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem StepAP214_AutoDesignApprovalAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignGeneralOrgItem StepAP214_AutoDesignApprovalAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignApprovalAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignApprovalAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem StepAP214_AutoDesignApprovalAssignment::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignApprovalAssignment.hxx